Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Class XSLProcessorImpl

    java.lang.Object
      com.jclark.xsl.sax.XSLProcessorImpl

All Implemented Interfaces:
  java.lang.Cloneable, ParameterSet, org.xml.sax.Parser, XSLProcessor

public class XSLProcessorImpl
extends java.lang.Object
implements XSLProcessor, java.lang.Cloneable, ParameterSet

An XSLT Processor

Constructor Summary
`XSLProcessorImpl()`

Method Summary
`java.lang.Object` | `clone()` clone after loadStylesheet() enables us to re-use a transformer, without recompiling the stylesheet
`java.lang.Object` | `getParameter(Name name)`
`void` | `loadStylesheet(org.xml.sax.InputSource sheetSource)` load (and compile) the stylesheet
`void` | `parse(org.xml.sax.InputSource source)` load the input document into a (xslt) object model, and run the transform
`void` | `parse(java.lang.String systemId)` run the transform
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)` we can have either an OutputMethodHandler, a ContentHandler or DocumentHandler, not two or three
`void` | `setDebugger(java.lang.String name, ActionDebugTarget debugger)` sets a debugging target
`void` | `setDocumentHandler(org.xml.sax.DocumentHandler handler)` we can have either an OutputMethodHandler, or a DocumentHandler, not both
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)` SAX 1 Parser API
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)` SAX 1 PArser API
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)` SAX 1 PArser API
`void` | `setLocale(java.util.Locale locale)` SAX 1 Parser API
`void` | `setOutputMethodHandler(OutputMethodHandler handler)` we can have either an OutputMethodHandler, or a DocumentHandler, not both
`void` | `setParameter(java.lang.String name, java.lang.Object obj)` set the run-time parameters for the stylesheet
`void` | `setParser(org.xml.sax.Parser parser)` use same parser for input and styleSheet
`void` | `setParser(org.xml.sax.Parser sourceParser, org.xml.sax.Parser sheetParser)` set one parser for the stylesheet, and another for the input
`void` | `setParser(XMLProcessorEx loader)`
`void` | `setSaxExtensionFilter(java.lang.String name, SaxFilterMaker xrap)` sets an extension element processor for XRAP

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLProcessorImpl

    public XSLProcessorImpl()

Method Detail

### setParser

    public void setParser(org.xml.sax.Parser sourceParser,
                          org.xml.sax.Parser sheetParser)

  Description copied from interface: `XSLProcessor`
  set one parser for the stylesheet, and another for the input

  Specified by:
    `setParser` in interface `XSLProcessor`

### setParser

    public void setParser(XMLProcessorEx loader)

### setParser

    public void setParser(org.xml.sax.Parser parser)

  use same parser for input and styleSheet

  Specified by:
    `setParser` in interface `XSLProcessor`

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws org.xml.sax.SAXException

  SAX 1 Parser API

  Specified by:
    `setLocale` in interface `org.xml.sax.Parser`
  Throws:
    `org.xml.sax.SAXException`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  SAX 1 Parser API

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.Parser`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  SAX 1 PArser API

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.Parser`

### setOutputMethodHandler

    public void setOutputMethodHandler(OutputMethodHandler handler)

  we can have either an OutputMethodHandler, or a DocumentHandler, not both

  Specified by:
    `setOutputMethodHandler` in interface `XSLProcessor`

### setDocumentHandler

    public void setDocumentHandler(org.xml.sax.DocumentHandler handler)

  we can have either an OutputMethodHandler, or a DocumentHandler, not both

  Specified by:
    `setDocumentHandler` in interface `org.xml.sax.Parser`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  we can have either an OutputMethodHandler, a ContentHandler or DocumentHandler, not two or three

### parse

    public void parse(java.lang.String systemId)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  run the transform

  Specified by:
    `parse` in interface `org.xml.sax.Parser`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  SAX 1 PArser API

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.Parser`

### loadStylesheet

    public void loadStylesheet(org.xml.sax.InputSource sheetSource)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

  load (and compile) the stylesheet

  Specified by:
    `loadStylesheet` in interface `XSLProcessor`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public void parse(org.xml.sax.InputSource source)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  load the input document into a (xslt) object model, and run the transform

  Specified by:
    `parse` in interface `org.xml.sax.Parser`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### setSaxExtensionFilter

    public void setSaxExtensionFilter(java.lang.String name,
                                      SaxFilterMaker xrap)

  sets an extension element processor for XRAP

  Specified by:
    `setSaxExtensionFilter` in interface `XSLProcessor`

### setDebugger

    public void setDebugger(java.lang.String name,
                            ActionDebugTarget debugger)

  sets a debugging target

  Specified by:
    `setDebugger` in interface `XSLProcessor`

### clone

    public java.lang.Object clone()

  Description copied from interface: `XSLProcessor`
  clone after loadStylesheet() enables us to re-use a transformer, without recompiling the stylesheet

  Specified by:
    `clone` in interface `XSLProcessor`

### getParameter

    public java.lang.Object getParameter(Name name)

  Specified by:
    `getParameter` in interface `ParameterSet`

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object obj)

  Description copied from interface: `XSLProcessor`
  set the run-time parameters for the stylesheet

  Specified by:
    `setParameter` in interface `XSLProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD